### Method

# AppStreamCompose Image load_filename

#### Declaration [src]

    gboolean
    asc_image_load_filename (
      AscImage* image,
      const gchar* filename,
      gint dest_width,
      gint dest_height,
      gint src_size_min,
      AscImageLoadFlags flags,
      GError** error
    )

#### Description [src]

Reads an image from a file.

#### Parameters

`filename`

  Type: `const gchar*`

  Filename to read from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`dest_width`

  Type: `gint`

  The suggested width of the constructed pixbuf, or 0 for the native size.

`dest_height`

  Type: `gint`

  The suggested height of the constructed pixbuf, or 0 for the native size.

`src_size_min`

  Type: `gint`

  The smallest source size (width or height) allowed, or 0 for no limit.

`flags`

  Type: `AscImageLoadFlags`

  A `AscImageLoadFlags`, e.g. `ASC_IMAGE_LOAD_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.